Bug 1277490 - python-pycurl: Use-after-free vulnerability in HTTPPOST when using FORM_BUFFERPTR with Unicode string [epel-5]
python-pycurl: Use-after-free vulnerability in HTTPPOST when using FORM_BUFFE...
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: python-pycurl (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: 1277488
  Show dependency treegraph
 
Reported: 2015-11-03 08:10 EST by Adam Mariš
Modified: 2015-12-02 11:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 04:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-03 08:10:41 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-5 tracking bug for python-pycurl: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-11-03 08:10:47 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1277488,1277490

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1277488,1277490
Comment 2 Fedora Update System 2015-11-03 13:29:22 EST
python-pycurl-7.19.5.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0de8163795
Comment 3 Fedora Update System 2015-11-03 13:29:23 EST
python-pycurl-7.19.5.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a26f0b0daf
Comment 4 Fedora Update System 2015-11-03 17:56:21 EST
python-pycurl-7.19.5.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pycurl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a26f0b0daf
Comment 5 Fedora Update System 2015-11-03 18:25:36 EST
python-pycurl-7.19.5.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pycurl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0de8163795
Comment 6 Adam Mariš 2015-11-04 04:21:04 EST
Not affected.
Comment 7 Tomas Hoger 2015-12-01 08:55:43 EST
Maybe this mistakenly created bug should actually serve us as reminder that python-pycurl should not be in EPEL-5 and should rather be removed.  python-pycurl is part of RHEL-5, and EPEL is not expected/allowed to provide packages available in RHEL.  Additionally, the version in EPEL-5 is older than what's in RHEL-5 - 7.15.5.1-4.el5 vs. 7.15.5.1-8.el5.
Comment 8 Kamil Dudka 2015-12-01 09:27:20 EST
(In reply to Tomas Hoger from comment #7)
> Maybe this mistakenly created bug should actually serve us as reminder that
> python-pycurl should not be in EPEL-5 and should rather be removed.

Reminder?  So where was this originally reported then?

The el5 branch was created back in 2007:

http://pkgs.fedoraproject.org/cgit/python-pycurl.git/commit/?id=1dcfc16e

Should we remove it now?
Comment 9 Tomas Hoger 2015-12-02 07:26:12 EST
Remind or indicate, however you prefer to word it.  To me, having an EPEL bug for component also in RHEL is a red flag.

As noted above, I do not see there's any point in keeping it in EPEL-5.  I'm happy to file separate bug requesting removal.
Comment 10 Kamil Dudka 2015-12-02 07:54:57 EST
I have retired the el5 branch in dist-git:
http://pkgs.fedoraproject.org/cgit/python-pycurl.git/commit/?h=el5

But I am not allowed to retire the branch in pkgdb:
$ pkgdb-cli orphan --retire python-pycurl el5
You are not allowed to retire the package: python-pycurl on branch el5.
Comment 12 Kamil Dudka 2015-12-02 08:34:02 EST
(In reply to Tomas Hoger from comment #11)
> Have you tried looking at the following?

Yes.  That is where I found the 'pkgdb-cli orphan --retire ...' command.  It did not work for me as you can see in comment #10.
Comment 13 Tomas Hoger 2015-12-02 10:12:49 EST
Ok, so Fedora/EPEL rel-eng will need to be asked for help.  Can you take care of that, or should I get involved in any way?
Comment 14 Kamil Dudka 2015-12-02 11:03:46 EST
I have filed a rel-eng ticket for this:

https://fedorahosted.org/rel-eng/ticket/6311

Note You need to log in before you can comment on or make changes to this bug.